SystemOrganization addCategory: #WebCounter!

WAComponent subclass: #WebCounter
	instanceVariableNames: 'count'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'WebCounter'!

!WebCounter commentStamp: 'EgorKGubarev 10/18/2012 01:50' prior: 0!
A counter that can count up and down!

!WebCounter class methodsFor: 'class initialization' stamp: 'EgorKGubarev 10/18/2012 01:32'!
initialize
	WAAdmin register: self asApplicationAt: 'webcounter'
	! !

!WebCounter methodsFor: 'actions' stamp: 'EgorKGubarev 10/18/2012 01:24'!
decrease
	count := count - 1! !

!WebCounter methodsFor: 'actions' stamp: 'EgorKGubarev 10/18/2012 01:23'!
increase
	count := count + 1
	! !

!WebCounter methodsFor: 'initialization' stamp: 'EgorKGubarev 10/18/2012 01:32'!
initialize
	"Initialize"
	super initialize.
	count := 0
	
	! !

!WebCounter methodsFor: 'initialization' stamp: 'EgorKGubarev 10/18/2012 01:42'!
new
	super new.
	count := 2! !

!WebCounter methodsFor: 'rendering' stamp: 'EgorKGubarev 10/18/2012 01:48'!
renderContentOn: html
	html heading: count.
	html anchor
		callback: [self increase];
		with: '++'.
	html anchor
		callback: [self decrease];
		with: '--'
	! !
WebCounter initialize!
